com.holonplatform.auth.keys

## Enum KeyFormat

- java.lang.Object
- - java.lang.Enum<KeyFormat>
  - - com.holonplatform.auth.keys.KeyFormat

- All Implemented Interfaces:
    Serializable, Comparable<KeyFormat>

      public enum KeyFormat
      extends Enum<KeyFormat>

  Enumeration of security keys formats.
  Since:
    5.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PKCS11` PKCS #11 format
    `PKCS12` PKCS #12 key store format
    `PKCS8` PKCS #8 private key encoding
    `X509` X.509 public key encoding

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeyFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### X509

          public static final KeyFormat X509

      X.509 public key encoding

    - #### PKCS8

          public static final KeyFormat PKCS8

      PKCS #8 private key encoding

    - #### PKCS11

          public static final KeyFormat PKCS11

      PKCS #11 format

    - #### PKCS12

          public static final KeyFormat PKCS12

      PKCS #12 key store format

  - ### Method Detail

    - #### values

          public static KeyFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyFormat c : KeyFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.